Package be.fgov.ehealth.dics.protocol.v4

# Class HasWadaClassificationType

java.lang.Object
be.fgov.ehealth.dics.protocol.v4.HasWadaClassificationType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:33+02:00", comments="JAXB RI v4.0.5") public class HasWadaClassificationType extends Object implements Serializable

Java class for HasWadaClassificationType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="HasWadaClassificationType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <choice>
             <element name="WadaCode" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="WadaName" type="{urn:be:fgov:ehealth:dics:core:v4:core}SearchStringType"/>
           </choice>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HasWadaClassificationType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getWadaCode()`
  International standard number given by the WADA institution that categorizes medicinal products according to harmonized anti-doping policies.
  `String`
  `getWadaName()`
  The full or partial name of the WADA classification in any language.
  `void`
  `setWadaCode(String value)`
  Sets the value of the wadaCode property.
  `void`
  `setWadaName(String value)`
  Sets the value of the wadaName property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### HasWadaClassificationType

    public HasWadaClassificationType()

- ## Method Details

  - ### getWadaName

    public String getWadaName()
    The full or partial name of the WADA classification in any language.
    Returns:
      possible object is `String`

  - ### setWadaName

    public void setWadaName(String value)
    Sets the value of the wadaName property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getWadaName()`

  - ### getWadaCode

    public String getWadaCode()
    International standard number given by the WADA institution that categorizes medicinal products according to harmonized anti-doping policies. Ex. : ‘A’, ‘B’, ‘AO’, ‘Hman’.
    Returns:
      possible object is `String`

  - ### setWadaCode

    public void setWadaCode(String value)
    Sets the value of the wadaCode property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getWadaCode()`